[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNodes.AddChildObjectFirst

Adds a node with the specified text and data as the first child node in the parent node.

## Declaration

Source position: comctrls.pp line 3254

`public function TTreeNodes.AddChildObjectFirst(`
`ParentNode: TTreeNode;`
`const S: string;`
`Data: Pointer`
`):TTreeNode;`

## Arguments

`ParentNode` |  | Node which is the parent for the new child node.
`S` |  | Text for the tree node created in the method.
`Data` |  | Pointer to the data for the new child node.

## Function result

TTreeNode instance created in the method.

## See also

TTreeNodes.InternalAddObject |  | Creates or updates a tree node with the specified text and a pointer to data.